MP4(3)

NAME

MP4ConvertToTrackDuration - Convert a duration from a specified time scale to the track time scale.

SYNTAX

#include <mp4.h>

MP4Duration MP4ConvertToTrackDuration(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    u_int64_t duration,
    u_int32_t oldTimeScale
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track from which the duration originates.

duration
    Specifies the duration that is to be converted.

oldTimeScale
    Specifies the time scale in ticks per second in which the duration is currently expressed.

RETURN VALUES

Upon success, the duration in the track time scale units. Upon error, MP4_INVALID_DURATION.

DESCRIPTION

MP4ConvertToTrackDuration converts a duration such as a sample duration from the specified time scale to the track time scale.

SEE ALSO

MP4(3) MP4ConvertFromTrackDuration(3)